## ros-melodic-rotors-gazebo 2.2.3

=== debian/changelog ===
ros-melodic-rotors-gazebo (2.2.3-0bionic) bionic; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo (2.2.2-0bionic) bionic; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo (2.2.0-0bionic) bionic; urgency=high

  * fixed xmlns:xacro link
  * switch to xacro from xacro.py
  * switch to package format 2
  * Merge branch 'feature/mavlink_build' into feature/gazebo9-autobackport
  * Merge pull request #521 <https://github.com/ethz-asl/rotors_simulator/issues/521> from scpeters/rotors_gazebo_run_depend
    rotors_gazebo/package.xml: alphabetize and add missing run depends
  * rotors_gazebo: run_depend on joy, xacro
    Fixes #501 <https://github.com/ethz-asl/rotors_simulator/issues/501>. Partial fix for #500 <https://github.com/ethz-asl/rotors_simulator/issues/500>.
  * rotors_gazebo/package.xml: alphabetize depends
  * Merge pull request #425 <https://github.com/ethz-asl/rotors_simulator/issues/425> from ethz-asl/fix/add_ros_plugin_to_example_worlds
    fix/add_ros_plugin_to_example_worlds
  * add ros_interface_plugin to all example worlds
  * Merge pull request #374 <https://github.com/ethz-asl/rotors_simulator/issues/374> from ethz-asl/feature/wind_plugin_extended
    Extending wind plugin
  * Merge pull request #406 <https://github.com/ethz-asl/rotors_simulator/issues/406> from ethz-asl/fix/waypoint_publisher
    FIX publish msg and not msg pointer in waypoint_publisher
  * FIX publish msg in waypoint_publisher and waypoint_publisher_file #373 <https://github.com/ethz-asl/rotors_simulator/issues/373>
  * FIX waypoint_publisher; revert *msg -> msg and ros:shutdown() before exit
  * FIX publish msg and not msg pointer in waypoint_publisher
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Additional requested changes for PR.
  * Added example world and custom wind field text file, as well as documentation.
  * Contributors: Fadri Furrer, Marius Fehr, Mina Kamel, Nicolas El Hayek, Steven Peters, Tim, Tim Taubner, Timo Hinzmann, michaelpantic

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo (2.1.1-0bionic) bionic; urgency=high

  * update maintainers
  * Contributors: fmina

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-melodic-rotors-gazebo (2.1.0-0bionic) bionic; urgency=high

  * Remove iris model from warehouse world.
  * Improve launch args for mav.launch and hovering example.
  * Adding some explanation to the aero params YAML
  * Modifying the Yosemite model to be aligned with the principal axis in x-y plane
  * Some minor fixes to fw dynamics
  * Implementing fixed-wing operation with a joystick
  * Implementing the rest of parameter parsing and forces + moments calculations
  * Adding max and min angle of attack as parameters and some minor renaming
  * Making fixed-wing params more descriptive
  * Implementing YAML parsing of fixed-wing aerodynamic parameters
  * Parameterizing techpod mesh files and aerodynamic parameters
  * Add position as optional arguments to hovering_example.
  * iris.sdf is only built when Gazebo version is > 2.
  * Removed un-needed parameters from basic.world.
  * Corrected optical flow plugin name in a model.sdf file.
  * Fixed LIDAR plugin name in SDF file (rotors prefix added).
  * Turned the 'connect gazebo to ros' and 'connect ros to gazebo' topic names into global variables (couldn't work out how to make them global from the .world file, so this was the next best option).
  * Converted gazebo_ros_interface_plugin from a model plugin to a world plugin.
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Added beginnings of Gazebo model for the purpose of inserting the ROS interface into the Gazebo world.
  * Reverted back to commit 357ed0f254823e83e392e239a3ab7d32b595125e (Monday's commit just before .xacro files were merged).
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.
  * Added debug messages to python files, moving .xacro files from rotors_gazebo/models/rotors_description/urdf into rotors_description/models/urdf.
  * Changed variable in rotors_gazebo CMakeLists.txt to NO_ROS to match variable in rotors_gazebo_plugins.
  * Added script files from sitl_gazebo (used to generate iris.sdf).
  * Fixed bug where return statement was missing brackets.
  * Added a ONLY_BUILD_IRIS_SDF variable to the rotors_gazebo CMakeLists.txt for PX4/Firmware support.
  * Added all sitl_gazebo model files into rotors/gazebo/models/ directory.
  * Added all the worlds from sitl_gazebo that were not present in rotors_simulator.
  * Gazebo is now outputting debug messages to the console (verbose mode is turned on through launch file).
  * Initial test change for px4_merge branch. Build and hovering example working.
  * iris.sdf is only built when Gazebo version is > 2.
  * Removed un-needed parameters from basic.world.
  * Corrected optical flow plugin name in a model.sdf file.
  * Fixed LIDAR plugin name in SDF file (rotors prefix added).
  * Turned the 'connect gazebo to ros' and 'connect ros to gazebo' topic names into global variables (couldn't work out how to make them global from the .world file, so this was the next best option).
  * Converted gazebo_ros_interface_plugin from a model plugin to a world plugin.
  * The ROS interface plugin is now attached to a static model in the world rather than being attahed to the firefly MAV.
  * Added beginnings of Gazebo model for the purpose of inserting the ROS interface into the Gazebo world.
  * More attempted tweaks to fix errors with substitutaion_args/xacro.py. Added better debug print.

